##### basic_socket_acceptor::accept (6 of 16 overloads)

Accept a new connection.

    Protocol::socket::template rebind_executor< executor_type >::other accept(
        asio::error_code & ec);

This function is used to accept a new connection from a peer. The function call will block until a new connection has been accepted successfully or an error occurs.

This overload requires that the Protocol template parameter satisfy the AcceptableProtocol type requirements.

###### Parameters

ec

  Set to indicate what error occurred, if any.

###### Return Value

On success, a socket object representing the newly accepted connection. On error, a socket object where `is_open()` is false.

###### Example

    asio::ip::tcp::acceptor acceptor(my_context);
    ...
    asio::ip::tcp::socket socket(acceptor.accept(ec));
    if (ec)
    {
      // An error occurred.
    }